LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 09-29-2007, 03:27 PM   #1
dfordhiraj2007
LQ Newbie
 
Registered: Sep 2007
Posts: 9

Rep: Reputation: 0
regarding ATI driver


as per some googling i found that linux kernal i586 is installed by default
and this causes error while installing ATI driver..
i m using ATI radeon Xpress 200 in my intel motherboard and FEDORA 6

i have upgraded my kernal to i686.
after this i rum this command being a root user

yum install kmod-fglrx xorg-x11-drv-fglrx xorg-x11-drv-fglrx-libs-32bit

when i run this then i found a full page of errors like this.

file /lib/modules/2.6.22.7-57.fc6/modules.scsi from install of kernel-2.6.22.7-57.fc6 conflicts with file from package kernel-2.6.22.7-57.fc6

there was a full page of error like this..
help me plzzz....

Last edited by dfordhiraj2007; 09-29-2007 at 03:59 PM. Reason: not getting reply
 
Old 09-29-2007, 04:43 PM   #2
neologic
LQ Newbie
 
Registered: Sep 2007
Posts: 3

Rep: Reputation: 0
Maybe it's a stupid question but have you tried to run this installation wizard from ati ? it creates new modules and put it in right place (you just have to change driver to fglrx in driver section of /etc/X11/xorg.conf). Oh, and I'm not sure but it's quite possible that you have to install kernel sources too, but maybe i'm wrong

I had no problems with this on Slackware linux. Good luck.
 
Old 09-29-2007, 07:19 PM   #3
thirty33three
LQ Newbie
 
Registered: Sep 2007
Posts: 19

Rep: Reputation: 0
Are the versions of your kernel-default and kernel-source the same?
 
Old 09-30-2007, 11:45 AM   #4
dfordhiraj2007
LQ Newbie
 
Registered: Sep 2007
Posts: 9

Original Poster
Rep: Reputation: 0
hwo to check

versions of my kernel-default and kernel-source are same??
 
Old 09-30-2007, 11:49 AM   #5
dfordhiraj2007
LQ Newbie
 
Registered: Sep 2007
Posts: 9

Original Poster
Rep: Reputation: 0
@neologic

when i tried to change driver section of my
/etc/X11/xorg.conf from radeon to fglrx and log out and log in again thn
there was a error saying unable to start X server....\
what to do next..??
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
fglrx-driver vs ATI kernel driver for ATI Radeon 9200 in Debian Debian_Poland Debian 3 02-01-2006 02:10 PM
Ati driver a bit unstable but no different than nvidia..ati benchmark inside. spade Slackware 1 10-06-2004 01:13 AM
ATI driver: ATI 9600XT failed dependencies igmcdermott Linux - Software 2 08-06-2004 10:26 AM
ATI driver: ATI 9600XT failed dependencies igmcdermott Linux - Software 1 08-06-2004 03:26 AM
ATI driver: ATI 9600XT failed dependencies igmcdermott Linux - Software 1 08-06-2004 03:24 AM


All times are GMT -5. The time now is 11:12 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration